import share from '~/mixins/share'
import {
  getUserReadByExampleId
} from '~/api/works'
import reachBottom from '~/mixins/reachBottom'
import event from '~/mixins/event'
Page({
  behaviors: [reachBottom,share,event],
  data: {
    exampleId: ''
  },
  onLoad(options) {
    this.setData({
      exampleId: options.exampleId
    })
    this.resetData()
  },
  loadMore() {
    this.getData(getUserReadByExampleId, {
      exampleId: this.data.exampleId
    })
  },
  onReachBottom() {
    this.loadMore()
  }
})